[arch-commits] Commit in man-pages/repos (3 files)

andyrtr at archlinux.org andyrtr at archlinux.org
Sun Mar 4 04:36:51 EST 2012


    Date: Sunday, March 4, 2012 @ 04:36:50
  Author: andyrtr
Revision: 151912

db-move: moved man-pages from [testing] to [core] (any)

Added:
  man-pages/repos/core-any/PKGBUILD
    (from rev 151911, man-pages/repos/testing-any/PKGBUILD)
Deleted:
  man-pages/repos/core-any/PKGBUILD
  man-pages/repos/testing-any/

----------+
 PKGBUILD |   96 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 48 insertions(+), 48 deletions(-)

Deleted: core-any/PKGBUILD
===================================================================
--- core-any/PKGBUILD	2012-03-04 09:33:26 UTC (rev 151911)
+++ core-any/PKGBUILD	2012-03-04 09:36:50 UTC (rev 151912)
@@ -1,48 +0,0 @@
-# $Id$
-# Maintainer: Andreas Radke <andyrtr at archlinux.org>
-
-pkgname=man-pages
-pkgver=3.35
-_posixver=2003-a
-pkgrel=1
-pkgdesc="Linux man pages"
-arch=('any')
-license=('GPL')
-url="http://man7.org/linux/man-pages/index.html"
-groups=('base')
-depends=()
-source=(http://www.kernel.org/pub/linux/docs/man-pages/$pkgname-$pkgver.tar.gz
-        http://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/$pkgname-posix-${_posixver}.tar.bz2)
-md5sums=('e41432ee35a49036bbaf8d4598506e9c'
-         '7c78aff03c0a6767ba483d34f19e4b09')
-
-build() {
-  cd ${srcdir}/$pkgname-$pkgver
-  
-  # move the posix pages
-  mkdir -p ${srcdir}/$pkgname-$pkgver/man0
-  for sect in 0 1 3; do
-    sed -i "/^\.so /s/man${sect}p/man$sect/" "${srcdir}/$pkgname-posix-${_posixver}/man${sect}p"/*
-    mv -iv "${srcdir}/$pkgname-posix-${_posixver}/man${sect}p"/* "${srcdir}/$pkgname-$pkgver/man$sect/"
-  done
-}
-
-package() {
-  cd ${srcdir}/$pkgname-$pkgver
-
-  make prefix=${pkgdir}/usr install
-
-  cd ${pkgdir}/usr/share/man
-  # these are included in coreutils || return 1
-  rm -f man1/{chgrp,chmod,chown,cp,dir,dd}.1
-  rm -f man1/{df,dircolors,du,install,ln,ls}.1
-  rm -f man1/{mkdir,mkfifo,mknod,mv,rm,rmdir}.1
-  rm -f man1/{touch,vdir}.1
-  # this is included in shadow
-  rm -f man5/passwd.5
-  rm -f man3/getspnam.3
-  # this is included in diffutils
-  rm -f man1/diff.1
-  # this is included in xf86-input-mouse
-  rm -f man4/mouse.4
-}

Copied: man-pages/repos/core-any/PKGBUILD (from rev 151911, man-pages/repos/testing-any/PKGBUILD)
===================================================================
--- core-any/PKGBUILD	                        (rev 0)
+++ core-any/PKGBUILD	2012-03-04 09:36:50 UTC (rev 151912)
@@ -0,0 +1,48 @@
+# $Id$
+# Maintainer: Andreas Radke <andyrtr at archlinux.org>
+
+pkgname=man-pages
+pkgver=3.36
+_posixver=2003-a
+pkgrel=1
+pkgdesc="Linux man pages"
+arch=('any')
+license=('GPL')
+url="http://man7.org/linux/man-pages/index.html"
+groups=('base')
+depends=()
+source=(http://www.kernel.org/pub/linux/docs/man-pages/$pkgname-$pkgver.tar.gz
+        http://www.kernel.org/pub/linux/docs/man-pages/man-pages-posix/$pkgname-posix-${_posixver}.tar.bz2)
+md5sums=('cfe991b1ce9e0ea5355f29ff9fcac125'
+         '7c78aff03c0a6767ba483d34f19e4b09')
+
+build() {
+  cd ${srcdir}/$pkgname-$pkgver
+  
+  # move the posix pages
+  mkdir -p ${srcdir}/$pkgname-$pkgver/man0
+  for sect in 0 1 3; do
+    sed -i "/^\.so /s/man${sect}p/man$sect/" "${srcdir}/$pkgname-posix-${_posixver}/man${sect}p"/*
+    mv -iv "${srcdir}/$pkgname-posix-${_posixver}/man${sect}p"/* "${srcdir}/$pkgname-$pkgver/man$sect/"
+  done
+}
+
+package() {
+  cd ${srcdir}/$pkgname-$pkgver
+
+  make prefix=${pkgdir}/usr install
+
+  cd ${pkgdir}/usr/share/man
+  # these are included in coreutils || return 1
+  rm -f man1/{chgrp,chmod,chown,cp,dir,dd}.1
+  rm -f man1/{df,dircolors,du,install,ln,ls}.1
+  rm -f man1/{mkdir,mkfifo,mknod,mv,rm,rmdir}.1
+  rm -f man1/{touch,vdir}.1
+  # this is included in shadow
+  rm -f man5/passwd.5
+  rm -f man3/getspnam.3
+  # this is included in diffutils
+  rm -f man1/diff.1
+  # this is included in xf86-input-mouse
+  rm -f man4/mouse.4
+}



More information about the arch-commits mailing list